Package com.icc.util

# Enum Class DBProperties.ConnectionPoolType

java.lang.Object
java.lang.Enum<DBProperties.ConnectionPoolType>
com.icc.util.DBProperties.ConnectionPoolType

All Implemented Interfaces:
  `Serializable`, `Comparable<DBProperties.ConnectionPoolType>`, `Constable`

Enclosing class:
  DBProperties

public static enum DBProperties.ConnectionPoolType extends Enum<DBProperties.ConnectionPoolType>
Connection Pool Type to use in the backend

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BONECP`
  `C3P0`
  `HIKARI`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DBProperties.ConnectionPoolType`
  `getConnectionPoolType(String value)`
  `static DBProperties.ConnectionPoolType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DBProperties.ConnectionPoolType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HIKARI

    public static final DBProperties.ConnectionPoolType HIKARI

  - ### BONECP

    public static final DBProperties.ConnectionPoolType BONECP

  - ### C3P0

    public static final DBProperties.ConnectionPoolType C3P0

- ## Method Details

  - ### values

    public static DBProperties.ConnectionPoolType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DBProperties.ConnectionPoolType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getConnectionPoolType

    public static DBProperties.ConnectionPoolType getConnectionPoolType(String value)